OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions | Data Fields | Static Public Attributes
SignList Struct Reference
Inheritance diagram for SignList:

## Public Types
typedef GUIList< const Sign *, StringFilter & > | GUISignList
| A GUIList contains signs and uses a StringFilter for filtering.

## Public Member Functions
| SignList ()
| Creates a SignList with filtering disabled by default.
void | BuildSignsList ()
void | SortSignsList ()
void | FilterSignList ()
| Filter out signs from the sign list that does not match the name filter.

## Static Public Member Functions
static int CDECL | SignNameSorter (const Sign *const *a, const Sign *const *b)
| Sort signs by their name.
static bool CDECL | SignNameFilter (const Sign *const *a, StringFilter &filter)
| Filter sign list by sign name.
static bool CDECL | OwnerDeityFilter (const Sign *const *a, StringFilter &filter)
| Filter sign list excluding OWNER_DEITY.
static bool CDECL | OwnerVisibilityFilter (const Sign *const *a, StringFilter &filter)
| Filter sign list by owner.

## Data Fields
GUISignList | signs
StringFilter | string_filter
| The match string to be used when the GUIList is (re)-sorted.

## Static Public Attributes
static const Sign * | last_sign = NULL
static bool | match_case = false
| Should case sensitive matching be used?

## Detailed Description

Definition at line 38 of file signs_gui.cpp.

The documentation for this struct was generated from the following file:

- src/signs_gui.cpp